Skip to main content
GET
/
v2
/
status_page_structures
/
{status_page_id}
ShowStatusPageStructure
curl --request GET \
  --url https://api.incident.io/v2/status_page_structures/{status_page_id}
{
  "current_structure": {
    "items": [
      {
        "component": {
          "component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
          "name": "App"
        },
        "group": {
          "components": [
            {
              "component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
              "name": "App"
            }
          ],
          "id": "01FCNDV6P870EA6S7TK1DSYDG1",
          "name": "EU Data center"
        },
        "sub_page": {
          "id": "01FCNDV6P870EA6S7TK1DSYDG1",
          "items": [
            {
              "component": {
                "component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
                "name": "App"
              },
              "group": {
                "components": [
                  {
                    "component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
                    "name": "App"
                  }
                ],
                "id": "01FCNDV6P870EA6S7TK1DSYDG1",
                "name": "EU Data center"
              }
            }
          ],
          "name": "United Kingdom"
        }
      }
    ]
  }
}

Path Parameters

status_page_id
string
required

ID of the status page

Example:

"abc123"

Response

200 - application/json

OK response.

current_structure
object
required
Example:
{
"items": [
{
"component": {
"component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
"name": "App"
},
"group": {
"components": [
{
"component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
"name": "App"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG1",
"name": "EU Data center"
},
"sub_page": {
"id": "01FCNDV6P870EA6S7TK1DSYDG1",
"items": [
{
"component": {
"component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
"name": "App"
},
"group": {
"components": [
{
"component_id": "01FCNDV6P870EA6S7TK1DSYDG1",
"name": "App"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG1",
"name": "EU Data center"
}
}
],
"name": "United Kingdom"
}
}
]
}